VkMemoryDedicatedRequirements Struct Reference

`#include <vulkan_core.h>`

## Data Fields

VkStructureType | sType
void * | pNext
VkBool32 | prefersDedicatedAllocation
VkBool32 | requiresDedicatedAllocation

## Detailed Description

Definition at line 4036 of file vulkan_core.h.

## Field Documentation

## pNext

void* VkMemoryDedicatedRequirements::pNext

Definition at line 4038 of file vulkan_core.h.

## prefersDedicatedAllocation

VkBool32 VkMemoryDedicatedRequirements::prefersDedicatedAllocation

Definition at line 4039 of file vulkan_core.h.

## requiresDedicatedAllocation

VkBool32 VkMemoryDedicatedRequirements::requiresDedicatedAllocation

Definition at line 4040 of file vulkan_core.h.

## sType

VkStructureType VkMemoryDedicatedRequirements::sType

Definition at line 4037 of file vulkan_core.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h